Agda-2.3.0.1: A dependently typed functional programming language and proof assistant

Safe Haskell | None

Agda.Syntax.Parser.Parser

Description

The parser is generated by Happy (http://www.haskell.org/happy).

Synopsis

- moduleParser :: Parser Module
- exprParser :: Parser Expr
- tokensParser :: Parser [Token]
- tests :: IO Bool

# Documentation

moduleParser :: Parser Module

Parse a module.

exprParser :: Parser Expr

Parse an expression. Could be used in interactions.

tokensParser :: Parser [Token]

Parse the token stream. Used by the TeX compiler.

tests :: IO Bool

Test suite.